PMAP(1)

NAZWA
pmap - informacje o odwzorowaniu pamięci procesu

SKŁADNIA
pmap [option ...] pid ...

OPIS
Polecenie pmap wypisuje mapę pamięci procesu lub procesów.

OPCJE

-x, --extended
    Wyświetlanie w formacie rozszerzonym.

-d, --device
    Wyświetlanie w formacie urządzeń.

-q, --quiet
    Bez wyświetlania linii nagłówka i stopki.

-A, --range dolny,górny
    Ograniczenie wyników do podanego przedziału adresów: dolny,górny. Limity dolny i górny podaje się rozdzielone przecinkiem jako pojedynczy argument.

-X  Wypisywanie jeszcze więcej szczegółów niż z opcją -x. UWAGA: format zmienia się z /proc/PID/smaps

-XX Wypisywanie wszystkiego, co udostępnia jądro

-p, --show-path
    Wypisywanie pełnych ścieżek do plików w kolumnie odwzorowań

-c, --read-rc
    Odczyt domyślnej konfiguracji

-C, --read-rc-from plik
    Odczyt konfiguracji z pliku

-n, --create-rc
    Utworzenie nowej konfiguracji domyślnej

-N, --create-rc-to plik
    Utworzenie nowej konfiguracji w pliku

-h, --help
    Wyświetlenie tekstu pomocy i zakończenie.

-V, --version
    Wyświetlenie informacji o wersji i zakończenie.

KOD WYJŚCIA

    0   Sukces.

    1   Niepowodzenie.

    42  Nie znaleziono wszystkich żądanych procesów.

ZOBACZ TAKŻE
ps(1), pgrep(1)

STANDARDY
Polecenia pmap nie dotyczą żadne standardy, ale wygląda równie brzydko, co polecenie SunOS.

ZGŁASZANIE BŁĘDÓW
Please send bug reports to procps@freelists.org.